    SUBROUTINE LEVSETTYP
      USE WINTERACTER
      USE BLK1MOD
      include 'd.inc'
      
      CHARACTER*47 MESSAGE

      DATA ITIME/0/
      IMATTYP=1
      BLELVEL=0.

      call wdialogload(IDD_LEVSETTYP)
      ierr=infoerror(1)

      CALL WDialogSelect(IDD_LEVSETTYP)
      ierr=infoerror(1)

      CALL WDialogPutReal(IDF_REAL1,BLEVEL)

      CALL WDialogPutInteger(IDF_INTEGER1,IMATTYP)

      CALL WDialogShow(-1,-1,0,Modal)
      ierr=infoerror(1)
!  Branch depending on type of message.
!
      DO
        IF (WInfoDialog(ExitButton) .EQ. IDOK) THEN

          CALL WDialogGetInteger(IDF_INTEGER1,IMATTYP)
          CALL WDialogGetReal(IDF_REAL1,BLEVEL)
          GO TO 200
        ELSEIF (WInfoDialog(ExitButton) .EQ. IDCANCEL) THEN
          RETURN
        ENDIF
      ENDDO

200   CONTINUE
      
      DO N=1,NE
        IF(IMAT(N) .EQ. 99) CYCLE
        DO K=1,NCORN(N)
          IF(NOP(N,K) .EQ. 0) CYCLE
          IF(WD(NOP(N,K)) .LT. BLEVEL) GO TO 300
        ENDDO
        IMAT(N)=IMATTYP
300     CONTINUE        
      ENDDO
      RETURN
    END
    